×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Registered User
    Join Date
    Apr 2009
    Posts
    2

    5th Edition Themes keep failing QA

    I have installed the latest plug-ins and compilers to Carbide 3.4 but my 5th Edition themes keep on failing at the QA process.

    This is starting to cost a lot as I keep Symbian Signing with no problem only for it for fail again and again. Is there any way I can tell if my theme will be accepted before signing so I don't keep on having to waste my money?

    Is anyone else encountering this problem despite having installed the plug-ins and compilers?

    Below is the email I receive.

    Comments from the QA team:
    Failed QA.SUMMARY: The theme is not packaged with the latest Carbide UI Themes Plug-In and should be re-packed to improve theme performance. CORRECTIVE ACTIONS: Please visit the website http://blogs.forum.nokia.com/blog/ov...ail-to-pass-qa for further information and corrective actions. AFFECTED DEVICES: S60 3rd Edition FP2 and S60 5th Edition devices. (public, Qa in progress -> Qa failed)

    The file failed QA on the following target(s):

    * Device: S60 5th Edition - 360x640 - Nokia 5230
    * Device: S60 5th Edition - 360x640 - Nokia 5233
    * Device: S60 5th Edition - 360x640 - Nokia 5235
    * Device: S60 5th Edition - 360x640 - Nokia 5530 XpressMusic
    * Device: S60 5th Edition - 360x640 - Nokia 5800 XpressMusic
    * Device: S60 5th Edition - 360x640 - Nokia C6-00
    * Device: S60 5th Edition - 360x640 - Nokia N97
    * Device: S60 5th Edition - 360x640 - Nokia N97 mini
    * Device: S60 5th Edition - 360x640 - Nokia X6

  2. #2
    Super Contributor
    Join Date
    Dec 2005
    Location
    England,UK
    Posts
    1,600

    Lightbulb Re: 5th Edition Themes keep failing QA

    Quote Originally Posted by kristianjb View Post
    I have installed the latest plug-ins and compilers to Carbide 3.4 but my 5th Edition themes keep on failing at the QA process.

    This is starting to cost a lot as I keep Symbian Signing with no problem only for it for fail again and again. Is there any way I can tell if my theme will be accepted before signing so I don't keep on having to waste my money?

    Is anyone else encountering this problem despite having installed the plug-ins and compilers?

    Below is the email I receive.
    There is a requirement to use the latest Carbide.iu

    see the blog
    Publishers of Themes on Ovi Store MUST use new Carbide UI Theme plug-In to package themes (or your content may fail to pass QA!)


    Thanks
    Jim

  3. #3
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: 5th Edition Themes keep failing QA

    Quote Originally Posted by kristianjb View Post

    Is anyone else encountering this problem despite having installed the plug-ins and compilers?
    You seem to be implying (although not clearly stating) that you are using the correct them building tools (as recommended in the blog post) yet your themes are still being rejected. Is that the case?
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  4. #4
    Registered User
    Join Date
    Apr 2009
    Posts
    2

    Re: 5th Edition Themes keep failing QA

    Quote Originally Posted by ltomuta View Post
    You seem to be implying (although not clearly stating) that you are using the correct them building tools (as recommended in the blog post) yet your themes are still being rejected. Is that the case?
    Yes, I installed the plug-ins first and then put the new compilers in the relevant folders. Is it worth moving over to Carbide.ui 2.0 as they don't seem to require new compilers, just the plug-ins?

  5. #5
    Nokia Developer Expert
    Join Date
    Mar 2010
    Posts
    5

    Re: 5th Edition Themes keep failing QA

    Hi,

    Beware: I noticed that after removing the old 5th Edition plug-in and installing the new plug-in, plus unzipping new compilers, an old compiler binary was still the active one.

    You can package Ovi Store compliant 5th Ed themes if you overwrite the old S60_32_AknSkinDescCompiler.EXE in the win32 folder with the new one from the S60_5thEdition_and_5thEdition-Plugin sub-folder.

    Page 5 of "Carbide.ui Theme Edition Compilers: Installation and User Guide" says,

    Each time you wish to compile a theme you need to check that the right compiler is in the C:\Program Files\Nokia\Carbide.ui Theme Edition 3.4\Eclipse\plugins\com.nokia.tools.packaging_3.4.0.0\runtime\win32 folder.
    Note that the compiler file sizes in "Table 1" of the user guide have not been updated.


    A couple clues that will tell you that the wrong skin compiler for 5th Edition themes was used:
    1. Open C:\Program Files\Nokia\Carbide.ui Theme Edition 3.4\workspace\YOUR_THEME_NAME\packagingOutput\themepackage.pkg in a text editor.
    2. Look for the comment at the top of the file "; File created with SkinCompiler v0.0.95". If the comment has an older version, you used the wrong compiler.
    3. Check the PKG file for this line: "[0x1028315F],0,0,0,{"Series60v5.0"}". If it is missing, chances are that the wrong compiler was used.


    To avoid this error prone process of manually copying the skin compiler EXE, Carbide.ui Theme Edition 2.0 from Symbian is the way to go for S60 themes and the future. (You must still uninstall the old 5th Edition plug-in that is bundled with that tool and install the updated one though.)

Similar Threads

  1. S60 3rd edition to S60 5th Edition Port
    By jamesj_cullen in forum Symbian
    Replies: 3
    Last Post: 2009-12-02, 16:56
  2. MBM file on 5th edition
    By raf1hh in forum Symbian
    Replies: 8
    Last Post: 2009-06-24, 08:25
  3. edit control problem in S60 5th edition
    By gangadhar.bonda in forum Symbian User Interface
    Replies: 1
    Last Post: 2009-06-09, 11:31
  4. Icons in s60
    By drizzt6 in forum Mobile Java General
    Replies: 5
    Last Post: 2009-03-06, 09:32
  5. Replies: 3
    Last Post: 2008-10-03, 13:03

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×